Loading...
Searching...
No Matches
websocketpp::md5 Namespace Reference

Provides MD5 hashing functionality. More...

## Classes

struct | md5_state_s

## Typedefs

typedef unsigned char | md5_byte_t
typedef unsigned int | md5_word_t
typedef struct websocketpp::md5::md5_state_s | md5_state_t

## Functions

void | md5_init (md5_state_t *pms)
void | md5_append (md5_state_t *pms, md5_byte_t const *data, size_t nbytes)
void | md5_finish (md5_state_t *pms, md5_byte_t digest[16])
static void | md5_process (md5_state_t *pms, md5_byte_t const *data)
std::string | md5_hash_string (std::string const &s)
std::string | md5_hash_hex (std::string const &input)

## Variables

const char | hexval [16] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'}

## Detailed Description

Provides MD5 hashing functionality.

## Typedef Documentation

## md5_byte_t

typedef unsigned char websocketpp::md5::md5_byte_t

Definition at line 78 of file md5.hpp.

## md5_word_t

typedef unsigned int websocketpp::md5::md5_word_t

Definition at line 79 of file md5.hpp.

## Function Documentation

## md5_append()

void websocketpp::md5::md5_append | ( | md5_state_t * | pms,
|  | md5_byte_t const * | data,
|  | size_t | nbytes )

inline

Definition at line 357 of file md5.hpp.

## md5_finish()

void websocketpp::md5::md5_finish | ( | md5_state_t * | pms,
|  | md5_byte_t | digest[16] )

inline

Definition at line 393 of file md5.hpp.

## md5_hash_hex()

std::string websocketpp::md5::md5_hash_hex | ( | std::string const & | input | ) |

inline

Definition at line 433 of file md5.hpp.

## md5_hash_string()

std::string websocketpp::md5::md5_hash_string | ( | std::string const & | s | ) |

inline

Definition at line 415 of file md5.hpp.

## md5_init()

void websocketpp::md5::md5_init | ( | md5_state_t * | pms | ) |

inline

Definition at line 349 of file md5.hpp.

## md5_process()

void websocketpp::md5::md5_process | ( | md5_state_t * | pms,
|  | md5_byte_t const * | data )

static

Definition at line 170 of file md5.hpp.

## Variable Documentation

## hexval

const char websocketpp::md5::hexval[16] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f'}

Definition at line 431 of file md5.hpp.